import 'package:flutter_test/flutter_test.dart';
import 'package:test_ioslibframwork_flutter_plugin/test_ioslibframwork_flutter_plugin.dart';
import 'package:test_ioslibframwork_flutter_plugin/test_ioslibframwork_flutter_plugin_platform_interface.dart';
import 'package:test_ioslibframwork_flutter_plugin/test_ioslibframwork_flutter_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockTestIoslibframworkFlutterPluginPlatform 
    with MockPlatformInterfaceMixin
    implements TestIoslibframworkFlutterPluginPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final TestIoslibframworkFlutterPluginPlatform initialPlatform = TestIoslibframworkFlutterPluginPlatform.instance;

  test('$MethodChannelTestIoslibframworkFlutterPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelTestIoslibframworkFlutterPlugin>());
  });

  test('getPlatformVersion', () async {
    TestIoslibframworkFlutterPlugin testIoslibframworkFlutterPlugin = TestIoslibframworkFlutterPlugin();
    MockTestIoslibframworkFlutterPluginPlatform fakePlatform = MockTestIoslibframworkFlutterPluginPlatform();
    TestIoslibframworkFlutterPluginPlatform.instance = fakePlatform;
  
    expect(await testIoslibframworkFlutterPlugin.getPlatformVersion(), '42');
  });
}
